IF  NOT EXISTS (SELECT * FROM sys.objects 
					WHERE object_id = OBJECT_ID(N'[dbo].[EST_NF_SAI_VENDAS]') 
					AND type in (N'U')) 
BEGIN
	/****** Object:  Table [dbo].[EST_NF_SAI_VENDAS]    Script Date: 19/12/2015 15:22:40 ******/
	SET ANSI_NULLS ON  
	SET QUOTED_IDENTIFIER ON 

	CREATE TABLE [dbo].[EST_NF_SAI_VENDAS](
		[CD_EMP] [int] NOT NULL,
		[CD_FILIAL] [int] NOT NULL,
		[CD_NF] [int] NOT NULL,
	 CONSTRAINT [PK_EST_NF_SAI_VENDAS] PRIMARY KEY CLUSTERED 
	(	[CD_EMP] ASC,
		[CD_FILIAL] ASC,
		[CD_NF] ASC
	)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
	) ON [PRIMARY]
	
	ALTER TABLE [dbo].[EST_NF_SAI_VENDAS]  WITH CHECK ADD  CONSTRAINT [FK_EST_NF_SAI_VENDAS_EST_NF_SAI] 
		FOREIGN KEY([CD_EMP], [CD_FILIAL], [CD_NF]) REFERENCES [dbo].[EST_NF_SAI] ([CD_EMP], [CD_FILIAL], [CD_NF])
	ON DELETE CASCADE
		ALTER TABLE [dbo].[EST_NF_SAI_VENDAS] CHECK CONSTRAINT [FK_EST_NF_SAI_VENDAS_EST_NF_SAI]
END